# $Revision: 1.77 $, $Date: 2011/08/31 18:33:16 $
Summary:	Another popular Unix IRC client
Summary(pl.UTF-8):	Jeszcze jeden popularny uniksowy klient IRC
Name:		epic4
Version:	2.2
Release:	5
License:	distributable
Group:		Applications/Communications
Source0:	ftp://ftp.epicsol.org/pub/ircii/EPIC4-PRODUCTION/%{name}-%{version}.tar.bz2
# Source0-md5:	e4d5d799b43f3c7882e8e7616099d4fc
Source1:	ftp://ftp.epicsol.org/pub/ircii/EPIC4-PRODUCTION/%{name}-help-20050315.tar.gz
# Source1-md5:	9888d1af465ca72bf9a02487264071a5
Source2:	epic.desktop
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-gethostname_is_in_libc_aka_no_libnsl.patch
Patch2:		%{name}-config_file_path.patch
#Patch3:		http://www.t17.ds.pwr.wroc.pl/~misiek/ipv6/%{name}-%{version}-ipv6-20010418.patch.gz
#Patch4:		%{name}-ac.patch
Patch5:		http://linux.slupsk.net/patches/%{name}-maildir.patch
URL:		http://www.epicsol.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	perl-devel
Conflicts:	lice <= 4.2.0-5
Obsoletes:	epic
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EPIC is the (E)nhanced (P)rogrammable (I)RC-II (C)lient. It is a
program used to connect to IRC servers around the globe so that the
user can "chat" with others.

%description -l pl.UTF-8
EPIC to rozsz(E)rzony (P)rogramowalny kl(I)ent IR(C)-II. Jest to
program wykorzystywany do łączenia się z serwerami IRC na całym
świecie umożliwiając porozumiewanie się z innymi.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--with-ipv6
%{__make} epicdir=%{_datadir}/epic

%install
rm -rf $RPM_BUILD_ROOT
install -d  $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	epicdir=%{_datadir}/epic

cp -rp help $RPM_BUILD_ROOT%{_datadir}/epic

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc UPDATES KNOWNBUGS BUG_FORM doc/color.txt doc/colors doc/TS4 doc/EPIC*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/epic
%{_mandir}/man1/epic.*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: epic4.spec,v $
Revision 1.77  2011/08/31 18:33:16  arekm
- release 5

Revision 1.76  2010/06/06 08:52:37  arekm
- release 4

Revision 1.75  2010/04/12 19:24:50  arekm
- release 3

Revision 1.74  2009/09/12 11:09:45  radek
- release 2: strict DynaLoader dep no longer required

Revision 1.73  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.72  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.71  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.70  2005/12/26 23:27:33  hawk
- cleanup

Revision 1.69  2005/12/26 23:20:46  hawk
- updated to production version 2.2
- builds, works, release 1

Revision 1.68  2004/11/20 18:46:51  radek
- release 4: require DynaLoader in version available at build time

Revision 1.67  2004/10/29 14:34:57  paladine
- pl fixes

Revision 1.66  2004/10/29 14:13:47  paladine
- unifications

Revision 1.65  2004/07/09 14:00:23  ankry
- conflicts older lice (help), rel. 3

Revision 1.64  2004/07/03 22:11:56  havner
- applnk -> vfolders

Revision 1.63  2004/06/13 20:29:13  arekm
- updated to 1.2.9

Revision 1.62  2004/02/02 13:38:10  jajcus
- Release: 0.2
- string concatenation in info.c fixed/simplified (epic4-paste.patch)

Revision 1.61  2003/08/18 08:08:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.60  2003/07/21 14:46:27  wojrus
- patch URL change

Revision 1.59  2003/07/20 07:56:24  djrzulf
- added patch, now builds,

Revision 1.58  2003/05/28 12:58:54  malekith
- massive attack: source-md5

Revision 1.57  2003/05/25 05:47:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.56  2003/03/24 21:38:45  misi3k
- security update to 1.1.7
bug:
It contained one user (eg. regular PRIVMSG) exploitable heap buffer
overflow if mangle_inbound setting contained ANSI. Because the overflowable
bytes were limited to only few specific characters, I'm not sure if it's
more than a remote crash.

Revision 1.55  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.54  2002/09/13 14:43:05  baseciq
- update to 4-1.1.6;
- native ipv6 support (it works, but i didn't make tests yet);
- problem with colors on statusbar;
- removed ac.patch from spec (not from cvs, seems to be unnecesary, but i
  can be wrong);
- removed ipv6 patch;
- new DESTDIR patch (old still is in repo);

Revision 1.53  2002/05/30 16:39:10  baseciq
- new %doc

Revision 1.52  2002/05/21 23:12:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/04/25 16:15:29  arturs
fixed a small typo

Revision 1.50  2002/04/14 13:16:29  wojrus
- mailidr support patch added
- rel 5

Revision 1.49  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.48  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/02/07 14:19:21  wojrus
- adapterized
- added epicdir=%{_datadir}/epic to %{__make} (fixing bad values of LOAD_PATH and HELP_PATH)

Revision 1.46  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2001/12/30 17:21:20  misiek
- added very simple ac fix
- reverted some (bad) changes by qrczak
- release 3

Revision 1.44  2001/12/25 12:26:56  qrczak
- Don't run autoconf. It's generates a broken configure script.
- Disable IPv6 patch. It doesn't even compile.
- Fix files installed in doc (- IP*, + EPIC*).
- Don't gzip files in /usr/share/epic. There are symlinks there.
- Release 2.

Revision 1.43  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.42  2001/09/30 19:29:14  qboosh
- BuildRequires: automake

Revision 1.41  2001/09/30 15:01:57  marcus
- added aclocal

Revision 1.40  2001/04/18 14:36:02  misiek
1.0.1

Revision 1.39  2001/03/31 09:09:57  misiek
updated 0.10.1; stb

Revision 1.38  2001/02/17 13:15:46  misiek
0.6.16. stb

Revision 1.37  2001/02/17 01:29:41  michuz
- release 3
- %%{_applnk}/Network/IRC changed to Communications

Revision 1.36  2001/01/08 22:06:36  kloczek
- ops .. this is still 0.9.15.

Revision 1.35  2001/01/08 22:01:49  kloczek
- release 2.

Revision 1.34  2001/01/08 21:45:21  misiek
small ipv6 update

Revision 1.33  2001/01/07 11:34:10  misiek
0.9.15

Revision 1.32  2000/12/03 21:33:55  misiek
new ipv6 patch; more ipv6 support in functions

Revision 1.31  2000/12/03 19:28:03  misiek
.13 version

Revision 1.30  2000/11/30 20:27:56  misiek
updated to 0.9.12

Revision 1.29  2000/11/18 17:02:35  misiek
updated to 0.9.11

Revision 1.28  2000/10/12 21:40:39  kloczek
- releses 2,
- fix: added config_file_path patch - fixing path to default config file.

Revision 1.27  2000/10/11 16:56:31  misiek
added ipv6 patch

Revision 1.26  2000/10/11 16:15:13  kloczek
- added epic to Obsoletes.

Revision 1.25  2000/10/11 16:06:46  kloczek
- use new rpm automation.

Revision 1.24  2000/10/11 05:50:45  yaro
- update to 0.9.9

Revision 1.23  2000/08/20 22:31:05  kloczek
- added gethostname_is_in_libc_aka_no_libnsl patch - now epic4 is not linked
  with libnsl.

Revision 1.22  2000/08/20 22:01:13  kloczek
- removed outdated 2000-make patch.

Revision 1.21  2000/08/20 21:41:19  kloczek
- adapeterized,
- unpack Source1 with using %setup abilities (by "-a 1"),
- removed not neccessary -n in %setup,
- small simplification in %install.

Revision 1.20  2000/08/20 21:24:05  marcus
- updated

Revision 1.19  2000/08/18 00:24:41  marcus

- updated version to epic4-0.9.6 (Aug 2000)

Revision 1.18  2000/07/14 06:44:00  yaro
- updated to pre2.700

Revision 1.17  2000/07/13 23:07:47  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.16  2000/07/13 20:39:37  baggins
- release 2

Revision 1.15  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/29 17:05:34  michuz
- %%applnkdir changed

Revision 1.12  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.11  2000/05/11 01:50:22  kloczek
- spec adapterized,
- added using %%configure macro and DESTDIR style install (added DESTDIR
  patch),
- wmconfig file replaced by desktop,
- added BuildRequires rules.

Revision 1.10  2000/05/10 16:01:22  kravietz
Minor fixes.

Revision 1.9  2000/05/10 15:18:00  kravietz
Upgrade to EPIC4-2000

Revision 1.8  2000/04/22 19:19:52  bonkey
- updated to version 4pre2.508

Revision 1.7  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.5  2000/03/28 16:10:40  arturs
typo

Revision 1.4  2000/01/04 12:23:00  yaro
Updated to epic4pre2.504

Revision 1.3  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).
